Subject: Re: [ietf-smtp] spam reporting and prevention

From: "Stan Kalisch" <[email-masked]>
Date: Fri, 04 Oct 2019 11:10:37 -0400

On Sat, Sep 28, 2019, at 10:00 PM, John Levine wrote:
> In article <[email-masked]> you write:
> >I don't think Sendgrid knows that it's spamming me for a get-rich-quick 
> >scheme or Tinyurl that the same spammer uses it for his landing pages, I 
> >don't think Rapidswitch (a small rent-a-server place) knows that a customer 
> >is trying to swindle me (latest iphone 3€!!!).
> 
> Comparing the amount of spam I get from Sendgrid and from Mailchimp,
> I'm reasonably sure that if the former put as much effort into
> managing its outgoing mail stream as the latter does, we'd see equally
> little spam from them.

To bang again on a drum I was banging on a little while ago on another list, Sendgrid is still DKIM-signing emails using SHA-1.

As I said in the previous case, draw your own conclusions.

Stan

> There are similar differences among URL
> shorteners and hosting providers which lead me to similar conclusions.
> (My VPS are hosted at a place called Tektonic which you've probably
> never heard of because their outgoing spam filters work very well.)
> 
> Spam reporting actually works pretty well, but by the time a largish
> sender gets a report back, the spam run is probably over. Reactive
> approaches are fine for checking how well your tools work and tuning
> them but it's not an effective way to keep the stuff from going out.
> 
> R's,
> John